"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const usehooks_ts_1 = require("usehooks-ts");
const useAsyncFetch_1 = __importDefault(require("./useAsyncFetch"));
function useAsyncIntervalFetch(fnFetch, millis, options, dependencies) {
    const fetchAction = (0, useAsyncFetch_1.default)(fnFetch, options, dependencies);
    const isIntervalEnabled = !fetchAction.isLoading;
    (0, usehooks_ts_1.useInterval)(() => {
        fetchAction.reset();
    }, isIntervalEnabled ? millis : null);
    return fetchAction;
}
exports.default = useAsyncIntervalFetch;
//# sourceMappingURL=useAsyncIntervalFetch.js.map